<script setup lang="ts">
import MainMenu from './components/MainMenu.vue'
import MessageBox from './components/MessageBox.vue'
import { RouterLink, RouterView, useRoute } from 'vue-router'
import Login from './views/LoginView.vue'
import { computed, ref } from 'vue'
import type { User } from '@/types/User'
import { user } from './types/User'
import { useAuthStore } from './stores/auth'
import { useReceiptStore } from './stores/receipt'
const authStore = useAuthStore()
const users = ref<User[]>(user)
const isLoggedIn = ref(false)
const receiptStore = useReceiptStore
import MainLayout from './components/layouts/MainLayout.vue'
import FullLayout from './components/layouts/FullLayout.vue'
const route = useRoute()
</script>

<template>
  <component :is="route.meta.layout === 'MainLayout' ? MainLayout : FullLayout"></component>
z
  <!-- <Login></Login> -->
  <MessageBox></MessageBox>
</template>
